Get All Tasks
Get one page of the workspace’s tasks across all agents, newest first.
Access Control: Returns all tasks within the current user’s workspace (workspace isolation). All users in the same workspace can see all workspace tasks.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Slug of the workspace the request acts in
120^[a-z0-9]+(?:-[a-z0-9]+)*$Query Parameters
Filter to tasks in any of these statuses
submitted, pending, preparing, scheduled, running, working, waiting_for_input, waiting_for_approval, waiting_for_continuation, waiting_for_infrastructure, blocked, completed, failed, cancelled Filter by the principal that started it
Case-insensitive match on the description or the agent name
Maximum number of tasks to return
1 <= x <= 1000Number of tasks to skip
0 <= x <= 1000000000Response
Successful Response
Why a task exists: who or what started it, and the event that caused it.